net/http has no TRACK method - here's a patch

04/06/2009 08:50 PM - sardaukar (Bruno Antunes)

Status: Rejected   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version:    

Description

=begin

net/http has no TRACK method - I found it useful and trivial to add, so here is my patch for it. It is not part of the RFC, but it does

have a use.

=end

History

#1 - 04/06/2009 09:00 PM - daz (Dave B)

=begin

Very similar to http://redmine.ruby-lang.org/issues/show/1352 :)

=end

#2 - 04/06/2009 09:09 PM - sardaukar (Bruno Antunes)

=begin

what you get for posting patches in ruby-forum.com and only adding them here 3 days later... :)

http://www.ruby-forum.com/topic/183307

=end

#3 - 09/18/2009 04:48 AM - marcandre (Marc-Andre Lafortune)

- Category set to lib

- Assignee set to aamine (Minero Aoki)

=begin

=end

#4 - 03/19/2010 11:31 PM - mame (Yusuke Endoh)

- Assignee changed from aamine (Minero Aoki) to naruse (Yui NARUSE)

=begin

=end

#5 - 03/21/2010 12:14 AM - naruse (Yui NARUSE)

- Status changed from Open to Rejected

=begin

TRACK is only in IIS and source of vulnerability.

We can't add such method.

http://www.kb.cert.org/vuls/id/288308

http://www.symantec.com/business/security_response/attacksignatures/detail.jsp?asid=20419

=end

Files

patch_add_HTTP_track.diff 731 Bytes 04/06/2009 sardaukar (Bruno Antunes)
